<template>
  <div class="app">
    <div class="table">
      <div class="table-block">
        <div class="table-head"
        v-for="(tableTitle, key) in tableTitles"
        :key="key">
          <div>{{ tableTitle.titleNumber }}</div>
          <div>{{ tableTitle.titleId }}</div>
          <div>{{ tableTitle.titleDate }}</div>
          <div>{{ tableTitle.titleSum }}</div>
          <div>{{ tableTitle.titleSystem }}</div>
          <div>{{ tableTitle.titleStatus }}</div>
          <div>{{ tableTitle.titleAction }}</div>
        </div>
        <div class="" v-if="test.length">
          <div class="table-row"
          v-for="(tableInfo, key) in tableInfos"
          :key="key"
          >
            <div>{{ tableInfo.numberUser }}</div>
            <div>{{ tableInfo.idUser }}</div>
            <div>{{ tableInfo.dateUser }}</div>
            <div>{{ tableInfo.sumUser }}</div>
            <div>{{ tableInfo.systemUser }}</div>
            <div>{{ tableInfo.statusUser }}</div>
            <div>{{ tableInfo.actionUser }}</div>
          </div>
        </div>
        <div class="table-no-transactions"
        v-else>
          <p>{{ noTransactions }}</p>
        </div>
      </div>
    </div>
    <div class="balance-block">
      <p ><span class="text-bold">Ваш баланс:</span> {{ balanceUser }} {{ currencySign }}</p>
    </div>
  </div>
</template>


<script>
  export default {
    data () {
      return {
        noTransactions: 'Вы не совершали транзакции',
        balanceUser: '100 000.00',
        currencySign: '$',
          test: [
            {
              dasda: 'das',
            }
          ],
          tableTitles: [
            {
              titleNumber: 'Номер счёта',
              titleId: 'ID',
              titleDate: 'Дата и время',
              titleSum: 'Сумма',
              titleSystem: 'Система',
              titleStatus: 'Статус',
              titleAction: 'Действие',
            }
          ],
          tableInfos: [
            {
              numberUser: '1234567',
              idUser: '1234567',
              dateUser: '1234567',
              sumUser: '1234567',
              systemUser: '1234567',
              statusUser: '1234567',
              actionUser: '1234567',
            },
            {
              numberUser: '',
              idUser: '',
              dateUser: '',
              sumUser: '',
              systemUser: '',
              statusUser: '',
              actionUser: '',
            },
            {
              numberUser: '',
              idUser: '',
              dateUser: '',
              sumUser: '',
              systemUser: '',
              statusUser: '',
              actionUser: '',
            },
            {
              numberUser: '',
              idUser: '',
              dateUser: '',
              sumUser: '',
              systemUser: '',
              statusUser: '',
              actionUser: '',
            },
            {
              numberUser: '',
              idUser: '',
              dateUser: '',
              sumUser: '',
              systemUser: '',
              statusUser: '',
              actionUser: '',
            },
            {
              numberUser: '',
              idUser: '',
              dateUser: '',
              sumUser: '',
              systemUser: '',
              statusUser: '',
              actionUser: '',
            },
            {
              numberUser: '',
              idUser: '',
              dateUser: '',
              sumUser: '',
              systemUser: '',
              statusUser: '',
              actionUser: '',
            },
            {
              numberUser: '',
              idUser: '',
              dateUser: '',
              sumUser: '',
              systemUser: '',
              statusUser: '',
              actionUser: '',
            },
            {
              numberUser: '',
              idUser: '',
              dateUser: '',
              sumUser: '',
              systemUser: '',
              statusUser: '',
              actionUser: '',
            },
            {
              numberUser: '',
              idUser: '',
              dateUser: '',
              sumUser: '',
              systemUser: '',
              statusUser: '',
              actionUser: '',
            }
          ]

        // currentPage: 1,
        // total: 198,
        // loading: false,
        // paginationInfo: {
        //   text: '<span>Total of <strong>198</strong>, <strong>10</strong> per page</span>'
        // },
    // methods: {
    //   handlePageChange(page) {
    //     this.currentPage = page;
    //     this.loading = true;
    //     let start = (page - 1) * 10 + 1;
    //
    //     const list = this.list4.map(item => {
    //       return Object.assign({}, item, {
    //         name: `test${start++}`
    //       });
    //     });
    //
    //     setTimeout(() => {
    //       this.loading = false;
    //       this.list4 = [].concat(list);
    //     }, 2000);
      }
    }
  }
</script>

<style lang="scss" media="screen">
  .balance-block {
    p {
      margin-top: 41px;
      font-size: 21px;
    }
  }
  .table {
    padding-bottom: 1px;
    padding-top: 16px;
  }
  .app {
    color: black;
    .text-bold {
      font-weight: bold;
    }
  }
  .table-no-transactions {
    min-height: 380px;
    background: white;

    padding-top: 20px;
    p {
      margin: 0;
      color: black;
      font-size: 18px;
      text-align: center;
    }
  }
  .table-block {
    border-radius: 3px;
    color: black;
    .table-head {
      display: flex;
      justify-content: space-between;

      background: #EEF8FD;
      div {
        display: flex;
        justify-content: center;
        align-items: center;

        text-align: center;
        font-size: 14px;

        width: 100%;
        border: 1px solid #7E7E7E;

        padding: 11px 20px;
      }
    }
    .table-row {
      display: flex;
      justify-content: space-between;

      background: #FFF;
      div {
        display: flex;
        justify-content: space-between;
        align-items: center;

        padding: 12px 16px 12px 17px;

        width: calc(100%/7);

        border: 1px solid #7E7E7E;

        min-height: 5px;
        font-size: 13px;
      }
    }
  }
</style>
